using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Optimization;

namespace GreenTree.Nachtragsmanagement.Web.App_Start
{

    public class BundleConfig
    {
        public static void RegisterBundles(BundleCollection bundles)
        {
            var jqueryBundle = new ScriptBundle("~/bundles/jquery");
            jqueryBundle.Include("~/Scripts/jquery-1.11.3.min.js");
            jqueryBundle.Include("~/Scripts/jquery-ui-1.11.4.min.js");
            jqueryBundle.Include("~/Scripts/jquery.unobtrusive-ajax.min.js");
            jqueryBundle.Include("~/Scripts/jquery.validate-vsdoc.js");
            jqueryBundle.Include("~/Scripts/jquery.validate.min.js");
            jqueryBundle.Include("~/Scripts/jquery.validate.unobtrusive.min.js");

            var globalizeBundle = new ScriptBundle("~/bundles/globalize");
            globalizeBundle.Include("~/Scripts/globalize.js");
            globalizeBundle.Include("~/Scripts/globalize.currency.js");
            globalizeBundle.Include("~/Scripts/globalize.date.js");
            globalizeBundle.Include("~/Scripts/globalize.message.js");
            globalizeBundle.Include("~/Scripts/globalize.number.js");

            var knockoutBundle = new ScriptBundle("~/bundles/knockout");
            knockoutBundle.Include("~/Scripts/knockout-3.3.0.js");

            var modernizrBundle = new ScriptBundle("~/bundles/modernizr");
            knockoutBundle.Include("~/Scripts/modernizr-2.6.2.js");

            bundles.Add(jqueryBundle);
            bundles.Add(globalizeBundle);
            bundles.Add(knockoutBundle);
            bundles.Add(modernizrBundle);
        }
    }
}